/*
 * httpd-utils
 * Written in 2020 by Lucas
 * CC0 1.0 Universal/Public domain - No rights reserved
 *
 * To the extent possible under law, the author(s) have dedicated all
 * copyright and related and neighboring rights to this software to the
 * public domain worldwide. This software is distributed without any
 * warranty. You should have received a copy of the CC0 Public Domain
 * Dedication along with this software. If not, see
 * <http://creativecommons.org/publicdomain/zero/1.0/>.
 */

#include <stdio.h>
#include <stdlib.h>

int
main(void)
{
	char *ip;

	ip = getenv("HTTP_X_FORWARDED_FOR");
	if (ip == NULL)
		ip = getenv("REMOTE_ADDR");
	if (ip == NULL)
		ip = "unknown";

	printf("Content-type: text/plain\n\n%s\n", ip);

	return 0;
}
